Macaulay2 » Documentation
Packages » ChainComplexOperations :: eulerCharacteristic
next | previous | forward | backward | up | index | toc

# eulerCharacteristic -- sum of the lengths of the even degree homology minus the odd degree homology groups

- Usage:
    `m = eulerCharacteristic F`
- Inputs:
  - F, a chain complex,
- Outputs:
  - m, an integer,

## Caveat

Returns an error if any homology has infinite length

## Ways to use eulerCharacteristic:

- `eulerCharacteristic(ChainComplex)`

## For the programmer

The object eulerCharacteristic is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/ChainComplexOperations.m2:260:0.